//
//  HelloThereAppDelegate.m
//  HelloThere
//
//  Created by Craig Williams on 5/15/11.
//  Copyright 2011 AllanCraig. All rights reserved.
//

#import "HelloThereAppDelegate.h"

@interface NSObject (ASHandlers)
- (void)say:(NSString *)phrase;
- (NSString *)firstTracksName;
@end

@implementation HelloThereAppDelegate

@synthesize window, trackName, sayTextField;

- (IBAction)track:(id)sender
{
  NSString *name = [scriptFile firstTracksName];
  trackName.stringValue = name;
}

- (IBAction)say:(id)sender
{
  [scriptFile say:[sayTextField stringValue]];
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
  scriptFile = NSClassFromString(@"Hello");
  if ( !scriptFile )
  {
    // Handle errors here
    return;
  }
}

@end
